#
# spec file for package words (Version words.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         words
Copyright:    1999 - not specified
Group:        System Environment/Libraries
Provides:     linux.words.2 
Autoreqprov:  on
Version:      words.2
Release:      125
Summary:      English dictionary
BuildArchitectures: noarch
Source: linux.words.2.tar.gz
Patch: linux.words.2.dif

%description
This packages contains an English dictionary which will be installed as
/usr/share/dict/words
This dictionary is maybe used by look(1) and ispell(1).

Authors:
--------
    Rik Faith <faith@cs.unc.edu>

SuSE series: spl

%prep
%setup -n linux.words.2
%patch

%build
rm -f words
cat linux.words extra.words | sort | sort -df | uniq > words

%install
install -d -m 0755 -o root -g root $(DESTDIR)/usr/share/dict
install -c -m 0444 -o root -g root words $(DESTDIR)/usr/share/dict/
ln -sf --verbose share/dict $(DESTDIR)/usr/dict

%pre
#
mkdir -p usr/share/dict
test $? -ne 0 && exit 1
test  -d usr/dict/ && { cp -a usr/dict/* usr/share/dict/ 2>/dev/null ; }
test  -d usr/dict/ && { rm -rf usr/dict/ ; }
exit 0
#

%preun
#
touch tmp/words
test $? -ne 0 && exit 1
test  -L usr/dict && { rm -rf usr/dict ; }
test  -L usr/dict || { ln -sf ../tmp usr/dict ; }
exit 0
#

%postun
#
test -e tmp/words && { rm -f tmp/words ; }
exit 0
#

%files
%doc README*.linux.words
/usr/dict
%ghost /usr/dict/words
%dir /usr/share/dict/
/usr/share/dict/words

%changelog -n words
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon Jun 19 2000 - ro@suse.de
- doc relocation
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 08 1999 - bs@suse.de
- made package "noarch"
* Mon Feb 09 1998 - werner@suse.de
- Move /usr/dict to /usr/share/dict,
  add symbolic link or compatibility
* Thu Feb 06 1997 - werner@suse.de
- New packages: english word list needed by look or grep
